Bug 980109 - Message ids must be unique across all versions
Summary: Message ids must be unique across all versions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Localization
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: EAP 6.2.0
Assignee: Ivo Studensky
QA Contact: Nikoleta Hlavickova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-01 12:52 UTC by Carlo de Wolf
Modified: 2013-09-17 08:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-17 08:50:52 UTC
Type: Task


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 901001 0 high CLOSED Messages with id from wrong subsystem 2021-02-22 00:41:40 UTC

Internal Links: 901001

Description Carlo de Wolf 2013-07-01 12:52:11 UTC
Two PRs have shown up that have different message ids, this must never happen.

https://github.com/jbossas/jboss-eap/pull/209/files#L1R2455
https://github.com/wildfly/wildfly/pull/4126/files#L8R2454 

So all messages must now be reviewed to ensure they are globally unique.

Comment 1 Ivo Studensky 2013-07-01 13:42:29 UTC
The PR 4126 was never merged to Wildfly, it was superseded by PR4156 which put a few PRs together and changed the message ids as well. Thus, this particular case seems to be fine. We need, however, to check that all message ids in EAP are unique and in sync with Wildfly.

Comment 4 Ivo Studensky 2013-07-02 14:27:36 UTC
There is also a duplicity between JSFMessages.java of jsf.injections and jsf.subsystem, but these messages are the same, at least at the moment they are. Not sure whether it is a bug or not, see an example:

jsf/injection/src/main/java/org/jboss/as/jsf/JSFMessages.java:    
@Message(id = 12655, value = "@ManagedBean is only allowed at class level %s")
jsf/subsystem/src/main/java/org/jboss/as/jsf/JSFMessages.java:    
@Message(id = 12655, value = "@ManagedBean is only allowed at class level %s")


And another duplicity between jdr and security subsystems which seems to be a real bug, see:

https://issues.jboss.org/browse/WFLY-1626

Comment 5 Ivo Studensky 2013-07-04 09:41:47 UTC
There is a jira for JSF and other duplicated messages in Wildfly, see
https://issues.jboss.org/browse/WFLY-1631

And 6.1.x's bugzilla for the JSF ones which are related to EAP:
https://bugzilla.redhat.com/show_bug.cgi?id=980823

Comment 14 Petr Kremensky 2013-09-17 08:50:52 UTC
Closing this. See comment#8. There are no more collisions between EAP X WF messages and remaining issues are covered by 980823 and 901001.


Note You need to log in before you can comment on or make changes to this bug.